/*

	CSS Syntax

	CSS Rule-Set
	selector {
		
		property: value; - declaration

	}
*/
/* 
	* - universal selector. It is able to select all the elements in an HTML page.

	font-family allows us to determine the font of the text. The value "Courier New" becomes the default font for our elements. monospace is the secondary font or the fallback font which means if a font "Courier New" is not installed or cannot be found, we will fallback to use a similar font to "Courier New".

	font-size property allows us to set the size of the font. font-size can also be measured not only by pixels. Other CSS measurements can be used to determine the font-size.

*/
* {
	/* default family for all elements */
	font-family: "Courier New", monospace;
	font-size: 20px;
}

html {
	/*scroll-behavior changes the scrolling when navigating within the page.*/
	scroll-behavior: smooth;
}

body {
	/*background-color changes the background color of an element.*/
	background-color: skyblue;
}

nav {
	background-color: white;
}

/*selector:hover pseudo class*/
/*change the style of our element when hovered over.*/
a:hover {
	background-color: #b4d6de;
}

nav > div {
	/*display: inline-block allow us to change the display of the div element from block to inline-block which means this div is now inline within its siblings. However still act like a block element.*/
	/*float: right we were able to change horizontal alignment of our element and put it to the right of our parent container.*/
	display: inline-block;
	float: right;
}

/* type/tag selector - allows us to select elements of the type or tag. */
h1 {
	/*h1 default font-size is 32px*/
	/*!important will make the property a priority.*/
	color: black !important;
	font-size: 2rem; /* 2 x root-element-font-size declared. */
	text-align: center;
	/*rem - root element, rem is based on the font-size of the root element. Default size: 16px. The root element is the HTML TAG.*/
}

section {
	/*increase the height of the sections to 100 viewport height.
	Viewport Height is the height of the page with the screen we are viewing from.*/
	height: 100vh;
	/*text-align: center allows us to horizontally align our text within the element.*/
	text-align: center;
}
h2 {
	font-size: 1.5rem;
}

ol {
	/*removes the list style from our list items.*/
	list-style-type: none;
}
/* 
	id-selector allows us to select the element within a particular id. This selector is the highest priority 

	In CSS, you can select the id by adding a # sign before the name of the id.
*/
#zuitt-motto {
	letter-spacing: 5px;
}
/*
	.class-selector allows us to select the elements within the same class. In CSS, we can select the class by adding . before the name of the class.

	An element can have both id and a class, however declarations for the id is given more priority for class.

*/

.offering-item {
	/*text-transform allows us to determine the case of the element.*/
	text-transform: uppercase;
	/*letter-spacing: 20px;*/
}
/*
	attribute-selector allows us to select elements with the same tag and attribute
	tag[attribute]

*/
input[required] {
	/*
		border-width property allows us to change the thickness of the border.

		border-style property allows us to change the style of the border.

		border-color property allows us to change the color of an element's border.

	*/

	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*The width of the input is now 90% of its PARENT element.*/
	width: 90%;
}

/* 

	adjacent-sibling selector allows us to select the sibling element directly after the first selector.  
	
	first selector + adjacent sibling

	The selectors doesn't have to be type as a class, id, etc.

*/
h3 + img{
	/*
		height and width properties allow us to determine the height and width of an element. Unlike the height and width attributes in our HTML, in CSS, we can add more measurements instead of just pixels.

		border-radius allows us to round the corners of an element.

	*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/* 
	descendant selector 

	allows us to select elements which are descendants of the first selector.

	first-selector (ancestor) <space> second selector
*/
#bootcamp-learning-list li {
	/* #075966 as a value to color: This is what we call a hex value. This is a hexadecimal value and it consists of the pound sign (#) plus 6 alphanumeric characters. Hex value colors are more specific than HTML colors. */
	color: #075966;
}

/*
	general sibling selector - this will allow us to select siblings after our first selector. 

	selector ~ selector

*/
h2 ~ a {
	/* text-decoration property change including in text (ex. overline, underline, or strikethrough). By default, anchor tags have underline. */
	text-decoration: none;
}
/*
	child selector allows us to select the child of an element. 

	selector (parent) > selector (child)

*/
body > section > form > label {
	/*rgb() can be accepted as a value of properties that change colors. RGB values refer to red, green, and blue. And the combination of these values from 0 to 255 determines the color.*/
	color: rgb(0,0,128);
}

form {
	text-align: center;
	background-color: white;
	/*border: <width> <style> <color>;*/
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*viewport width is a measurement based on a percentage of the width of the screen we are viewing our page from. */
	/*
	position property changes position of an element based on a criteria.

	position: relative means we will move the element relative to its original position in the document.

	left property allows us to add measurement on the left side of the element.
	The value % is based on the measurement of the parent element. 37.25% from the left of the left element.

	*/
	position: relative;
	left: 37.25%;

}

button {
	color: white;
	background-color: #cf0053;
	border: none;
	border-radius: 15px;
	width: 30%;
}